#include <libwccl/values/strset.h>
#include <libpwrutils/foreach.h>
#include <libpwrutils/util.h>
#include <sstream>


namespace Wccl {

const char* StrSet::type_name = "StrSet";

std::string StrSet::to_raw_string() const
{
	std::stringstream ss;
	ss << "{";
	bool comma = false;
	foreach (const UnicodeString& u, set_) {
		if (comma) {
			ss << ",";
		}
		ss << '\"' << PwrNlp::to_utf8(u) << '\"'; //TODO escaping
	}
	return ss.str();
}

} /* end ns Wccl */
